Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package typechecker
  Definition Classes
    nsc
-  trait Typers extends Adaptations with Tags with TypersTracking with PatternTypers

  This trait provides methods to assign types to trees.

  This trait provides methods to assign types to trees.

  Definition Classes
    typechecker
  Version

    1.0

-  abstract class Typer extends Analyzer.TyperDiagnostics with Analyzer.Adaptation with Analyzer.Tag with Analyzer.PatternTyper with Analyzer.TyperContextErrors
  Definition Classes
    Typers
- QualifierTraverser
- TyperErrorGen
- nonpatternQualifierTraverser
- packageQualifierTraverser
- patternQualifierTraverser

o

scala.tools.nsc.typechecker.Typers.Typer

# nonpatternQualifierTraverser

###

#### object nonpatternQualifierTraverser extends QualifierTraverser

Source
  Typers.scala

Linear Supertypes
QualifierTraverser, Global.Traverser, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. nonpatternQualifierTraverser
2. QualifierTraverser
3. Traverser
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply[T <: Global.Tree](tree: T): T
   Definition Classes
     Traverser
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def atOwner(owner: Global.Symbol)(traverse: => Unit): Unit
   Definition Classes
     Traverser
7.  def checkRootSymbol(t: Global.Tree): Unit
   Definition Classes
     QualifierTraverser
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  var currentOwner: Global.Symbol
   Attributes
     protected[scala]
   Definition Classes
     Traverser
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  def startContext: Analyzer.Context
    Definition Classes
      nonpatternQualifierTraverser → QualifierTraverser
20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  def toString(): String
    Definition Classes
      AnyRef → Any
22.  def traverse(tree: Global.Tree): Unit
    Definition Classes
      QualifierTraverser → Traverser
23.  def traverseAnnotations(annots: List[Global.Tree]): Unit
    Definition Classes
      Traverser
24.  def traverseCases(cases: List[Global.CaseDef]): Unit
    Definition Classes
      Traverser
25.  def traverseConstant(c: Global.Constant): Unit
    Definition Classes
      Traverser
26.  def traverseGuard(guard: Global.Tree): Unit
    Definition Classes
      Traverser
27.  def traverseImportSelector(sel: Global.ImportSelector): Unit
    Definition Classes
      Traverser
28.  def traverseModifiers(mods: Global.Modifiers): Unit
    Definition Classes
      Traverser
29.  def traverseName(name: Global.Name): Unit
    Definition Classes
      Traverser
30.  def traverseParams(params: List[Global.Tree]): Unit
    Definition Classes
      Traverser
31.  def traverseParamss(vparamss: List[List[Global.Tree]]): Unit
    Definition Classes
      Traverser
32.  def traverseParents(parents: List[Global.Tree]): Unit
    Definition Classes
      Traverser
33.  def traversePattern(pat: Global.Tree): Unit
    Definition Classes
      Traverser
34.  def traverseSelfType(self: Global.ValDef): Unit
    Definition Classes
      Traverser
35.  def traverseStats(stats: List[Global.Tree], exprOwner: Global.Symbol): Unit
    Definition Classes
      Traverser
36.  def traverseTrees(trees: List[Global.Tree]): Unit
    Definition Classes
      Traverser
37.  def traverseTreess(treess: List[List[Global.Tree]]): Unit
    Definition Classes
      Traverser
38.  def traverseTypeArgs(args: List[Global.Tree]): Unit
    Definition Classes
      Traverser
39.  def traverseTypeAscription(tpt: Global.Tree): Unit
    Definition Classes
      Traverser
40.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
41.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
42.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from QualifierTraverser

### Inherited from Global.Traverser

### Inherited from AnyRef

### Inherited from Any

### Ungrouped